## ros-melodic-cob-control 0.8.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_control)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-cob-control (0.8.12-1stretch) stretch; urgency=high

  * Merge pull request #243 <https://github.com/ipa320/cob_control/issues/243> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-melodic-cob-control (0.8.11-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Mar 2020 23:00:00 -0000

ros-melodic-cob-control (0.8.10-1stretch) stretch; urgency=high

  * Merge pull request #230 <https://github.com/ipa320/cob_control/issues/230> from ipa-jba/feature/melodic/raw-mini
    [melodic] add a mecanum controller
  * add mecanum controller to cob_control
  * Contributors: Felix Messmer, Jannik Abbenseth

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-control (0.8.1-1stretch) stretch; urgency=high

  * Merge pull request #213 <https://github.com/ipa320/cob_control/issues/213> from fmessmer/emulator
    [melodic] add cob_hardware_emulation
  * add cob_hardware_emulation to meta package

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-cob-control (0.8.0-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-melodic-cob-control (0.7.8-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-melodic-cob-control (0.7.7-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-cob-control (0.7.6-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-cob-control (0.7.5-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 19 May 2019 22:00:00 -0000

ros-melodic-cob-control (0.7.4-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-melodic-cob-control (0.7.3-1stretch) stretch; urgency=high

  * Merge pull request #190 <https://github.com/ipa320/cob_control/issues/190> from fmessmer/new_tricycle_controller_kinetic
    new tricycle controller kinetic
  * introduce cob_base_controller_utils package
  * initial tricycle_controller, fake odom
  * Contributors: Felix Messmer, fmessmer, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-cob-control (0.7.2-1stretch) stretch; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-cob-control (0.7.1-1stretch) stretch; urgency=high

  * Merge remote-tracking branch 'origin/kinetic_release_candidate' into kinetic_dev
  * Merge pull request #169 <https://github.com/ipa320/cob_control/issues/169> from ipa-fxm/kinetic_updates_indigo
    Kinetic updates indigo
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_control into kinetic_dev
    Conflicts:
    .travis.yml
  * Merge pull request #164 <https://github.com/ipa320/cob_control/issues/164> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #159 <https://github.com/ipa320/cob_control/issues/159> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-control (0.7.0-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-cob-control (0.6.15-1stretch) stretch; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-cob-control (0.6.14-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-control (0.6.13-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-control (0.6.12-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-control (0.6.11-1stretch) stretch; urgency=high

  * introducing cob_control_msgs
  * add cob_undercarriage_ctrl_node to meta-package
  * Contributors: Felix Messmer, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-cob-control (0.6.10-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 30 Aug 2015 22:00:00 -0000

ros-melodic-cob-control (0.6.9-1stretch) stretch; urgency=high

  * migrate to package format 2
  * sort dependencies
  * review dependencies
  * add missing run_depends to meta-package
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 24 Aug 2015 22:00:00 -0000

ros-melodic-cob-control (0.6.8-1stretch) stretch; urgency=high

  * merge with release candidate
  * package renaming: cob_path_broadcaster -> cob_cartesian_controller
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-control (0.6.7-1stretch) stretch; urgency=high

  * update meta-package
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-control (0.6.6-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 17 Dec 2014 23:00:00 -0000

ros-melodic-cob-control (0.6.5-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 17 Dec 2014 23:00:00 -0000

ros-melodic-cob-control (0.6.4-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 15 Dec 2014 23:00:00 -0000

ros-melodic-cob-control (0.6.3-1stretch) stretch; urgency=high





=== debian/control ===
Source: ros-melodic-cob-control
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/cob_control
Standards-Version: 3.9.2

Package: ros-melodic-cob-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cob-base-controller-utils, ros-melodic-cob-base-velocity-smoother, ros-melodic-cob-cartesian-controller, ros-melodic-cob-collision-velocity-filter, ros-melodic-cob-control-mode-adapter, ros-melodic-cob-control-msgs, ros-melodic-cob-footprint-observer, ros-melodic-cob-frame-tracker, ros-melodic-cob-hardware-emulation, ros-melodic-cob-mecanum-controller, ros-melodic-cob-model-identifier, ros-melodic-cob-obstacle-distance, ros-melodic-cob-omni-drive-controller, ros-melodic-cob-trajectory-controller, ros-melodic-cob-tricycle-controller, ros-melodic-cob-twist-controller
Description: cob_control meta-package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cob-control//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
